#!/bin/bash

echo "Copy library files to MIC card ....."
NCard=4

if [ $# -eq 0 ] ; then
	echo "Usage: ./$0 Number_of_MIC_Card Path_of_magma_mic_server_file"
elif [ $# -eq 1 ] ; then
	NCard=$1
elif [ $# -eq 2 ]; then
	NCard=$1
	PATH=$2
else
	echo "Usage: ./$0 Number_of_MIC_Card Path_of_magma_mic_server_file"
	exit 0
fi

for (( i = 0; i < $NCard; i++ ))
do
	MIC_PATH="root@mic$i:/lib64/"
	/usr/bin/scp -i /mnt/scratch/id_rsa /mnt/scratch/sw/intel/composer_xe_2013.2.146/mkl/lib/mic/libmkl_intel_thread.so  $MIC_PATH
	/usr/bin/scp -i /mnt/scratch/id_rsa /mnt/scratch/sw/intel/composer_xe_2013.2.146/mkl/lib/mic/libmkl_intel_lp64.so  $MIC_PATH
	/usr/bin/scp -i /mnt/scratch/id_rsa /mnt/scratch/sw/intel/composer_xe_2013.2.146/mkl/lib/mic/libmkl_core.so  $MIC_PATH
	/usr/bin/scp -i /mnt/scratch/id_rsa /mnt/scratch/sw/intel/composer_xe_2013.2.146/compiler/lib/mic/libiomp5.so  $MIC_PATH
done

exit 0
