#!/bin/bash

echo "Copy magma_mic_server to MIC card ....."
FILE=magma_mic_server
PATH="./interface_mic/server/"
NCard=4

if [ $# -eq 0 ] ; then
	echo "Usage: ./$0 Number_of_MIC_Card Path_of_magma_mic_server_file"
elif [ $# -eq 1 ] ; then
	NCard=$1
elif [ $# -eq 2 ]; then
	NCard=$1
	PATH=$2
else
	echo "Usage: ./$0 Number_of_MIC_Card Path_of_magma_mic_server_file"
	exit 0
fi

myfile=$PATH$FILE

echo "Number of mic card: $NCard"
echo "Server file: $myfile"

for (( i = 0; i < $NCard; i++ ))
do
	MIC_PATH="root@mic$i:/tmp/"
	/usr/bin/scp -i /mnt/scratch/id_rsa $myfile $MIC_PATH
	#/usr/bin/scp -i /mnt/scratch/id_rsa launch.sh $MIC_PATH
done

exit 0
